#!//usr/bin/perl
use strict;
my $base = 'svn/path/to/stableBranch';

if(@ARGV == 0){
    print "$0 revision [revisions...]\n";
    exit;
}

my(@revisions);
my $break = 0;
foreach(@ARGV){
    if(/^r?(\d+)/){
	push(@revisions,$1);
    }else{
	$break = 1;
	chomp();
	warn "wrong argv: '$_'\n";
    }
}

my $comment = "merge from head: ";
foreach(@revisions){
    my $cur  = $_;
    my $prev = $_ - 1;

    system("svn merge -r$prev:$cur $base");
    if($?){
	"warn $?\n";
	exit 1;
    }
    $comment .= "r$prev:$cur ";
}

system("svn commit -m '$comment'");
if($?){
    "warn $?\n";
    exit 1;
}
